Get time off requests changes

Returns an array of all changes made to time off requests within a specified date range. Each item in the array includes: the time off request details at the time of the change, and the type of change, such as created or deleted. Optionally, requests that were changed to status pending can also be included.

Notes:

  • The results are filtered by the date the change has occurred (when the request was created or updated), not the start/end date of the time off request itself.
  • Each change reflects a snapshot of the time off request's status at the time of the change, and may not reflect the current status.

Durations and cost:

  • This endpoint returns daily durations only for requests that use day-by-day duration configurations, including: DifferentDayDurations, specificHoursDayDurations, differentSpecificHoursDayDurations.
  • These durations do not include a daily cost breakdown.
  • All requests return totalCost, which represents the amount deducted from the balance for the whole request.
  • To retrieve the cost per day, use Get the details of an existing time off request. with includeDailyDurations=true.

Permissions required: Please refer to the main Time off API Required Permissions page.

Query Params
date-time
required

The starting date for retrieving time off request changes. If the to parameter is missing, only changes from the last 6 months are included. Requests with a date older than 6 months will return an error. Must be in ISO 8601 format, e.g., 2050-04-05T14:30:24.345Z or 2050-04-05T12:30-02:00.

date-time

Defines the end of the date range for retrieving time off request changes. Must be later than the since timestamp and cannot extend more than 6 months beyond it. Requests with a later date range will return an error. If omitted, the date range extends from the since timestamp to the present. Must be in ISO 8601 format, e.g., 2050-04-05T14:30:24.345Z or 2050-04-05T12:30-02:00.

boolean
Defaults to false

Optional parameter. Indicates whether to include pending requests in the results.

Response

Language
Credentials
Basic
base64
:
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json